import com.alicebiometrics.onboarding.api.OnboardingError
import com.alicebiometrics.onboarding.auth.AuthenticationError

class TransformationTools {
    companion object {
        fun stringFromSandboxError(sandboxError: AuthenticationError): String {
            return when (sandboxError) {
                AuthenticationError.INVALID_TRIAL_TOKEN -> "Invalid Sandbox Token"
                AuthenticationError.CLIENT_ERROR -> "Client error"
                AuthenticationError.SERVER_ERROR -> "clientError"
                AuthenticationError.UNKNOWN_ERROR -> "Unknown Error"
                AuthenticationError.ENCODING_ERROR -> "Encoding Error"
                AuthenticationError.CONNECTION_ERROR -> "Connection Error"
                else -> "Unknown Error"
            }
        }
        fun stringFromOnboardingError(onboardingError: OnboardingError): String {
            return when (onboardingError) {
                is OnboardingError.UnknownError -> "${onboardingError.statusCode}: Client Error ${onboardingError.message}"
                is OnboardingError.ConnectionError -> "Connection Error"
                is OnboardingError.InsufficientFaces -> "Insufficient Faces"
                is OnboardingError.InvalidIssuingCountryError -> "Invalid Issuing Country Error"
                is OnboardingError.InvalidUserToken -> "${onboardingError.statusCode}: Invalid User Token ${onboardingError.message}"
                is OnboardingError.ServerError -> "${onboardingError.statusCode}: Server Error: ${onboardingError.message}"
                else -> "Unknown Error"
            }
        }
    }
}